.canvas-carousel {
    margin-bottom: @grid-gutter-width;

    &__banners {
        &__desktop {
            display: none;

            @media (min-width: @screen-md-min) {
                display: block;
            }

            .canvas-carousel__single-slide {
                margin-bottom: @grid-gutter-width;
            }
        }

        &__mobile {
            overflow: hidden;

            @media (max-width: @screen-sm-max) {
                margin-left: -@grid-gutter-width/2;
                margin-right: -@grid-gutter-width/2;
            }

            @media (min-width: @screen-md-min) {
                display: none;
            }

            .glide {
                width: 100%;
            }
        }
    }

    img {
        width: 100%;
        height: auto;
    }

    .carousel-plugin {
        .owl-prev[type="button"],
        .owl-next[type="button"] {
            font-size: 2.5rem;
            z-index: 10;
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            display: flex;
            align-items: center;
            justify-content: center;
            width: 40px;
            height: 40px;
        }

        .owl-prev[type="button"] {
            left: -25px;
        }

        .owl-next[type="button"] {
            right: -25px;
        }

        &.one {
            .owl-prev[type="button"] {
                left: 10px;
            }

            .owl-next[type="button"] {
                right: 10px;
            }

            .owl-dots {
                position: absolute;
                bottom: 15px !important;
                left: 50%;
                z-index: 15;
                padding-left: 0;
                list-style: none;
                text-align: center;
                transform: translateX(-50%);
            }

            .owl-dot {
                background: transparent;
                border-radius: 10px;
                border: 1px solid @brand-primary;
                display: inline-block;
                height: 14px;
                margin: 5px;
                width: 14px;

                &.active {
                    background-color: @brand-primary;
                }
            }
        }
    }
}
